This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 23642 - RH Linux 7.0 Cannot install
RH Linux 7.0 Cannot install
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-08 21:30 EST by Vikas Bhandari
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-08 12:56:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vikas Bhandari 2001-01-08 21:30:40 EST
When installing RH Linux 7.0 Workstation on a DELL INSPIRON 7000 and after 
selecting to do a partitionless install on a fat32 partition the installer 
creates the loopback filesystem on /dev/hda1, but reports the following 
error when it tries to format the file system:

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1480, in 
doInstall
    if self.method.systemMounted (self.fstab, self.instPath, 
self.hdList.selected()):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 46, in 
systemMounted
    self.loopbackFile = mntPoint + fstab.filesystemSpace(mntPoint)[0][0] + 
\
IndexError: list index out of range

Local variables in innermost frame:
fstab: <fstab.GuiFstab instance at 8429ac0>
mntPoint: /mnt/sysimage
selected: [ElectricFence, ImageMagick, ImageMagick-devel, Inti, Inti-
devel, LPRng, MAKEDEV, Mesa, Mesa-devel, ORBit, ORBit-devel, SDL, SDL-
devel, SDL_image, SDL_image-devel, SVGATextMode, SysVinit, WindowMaker, 
WindowMaker-libs, XFree86, XFree86-100dpi-fonts, XFree86-75dpi-fonts, 
XFree86-FBDev, XFree86-Mach32, XFree86-Mach64, XFree86-V4L, XFree86-Xnest, 
XFree86-Xvfb, XFree86-devel, XFree86-doc, XFree86-libs, XFree86-tools, 
XFree86-twm, XFree86-xdm, XFree86-xf86cfg, XFree86-xfs, Xaw3d, Xaw3d-
devel, Xconfigurator, abiword, am-utils, amanda, amanda-client, amanda-
server, anacron, anonftp, apache, apache-devel, apache-manual, apmd, 
arpwatch, ash, asp2php, asp2php-gtk, aspell, aspell-devel, aspell-en-ca, 
at, audiofile, audiofile-devel, aumix, auth_ldap, authconfig, autoconf, 
autofs, automake, autorun, awesfx, basesystem, bash, bash-doc, bc, 
bdflush, bind, bind-devel, bind-utils, binutils, bison, blt, bootparamd, 
bug-buddy, byacc, bzip2, bzip2-devel, caching-nameserver, cdda2wav, cdecl, 
cdp, cdparanoia, cdparanoia-devel, cdrecord, chkconfig, chkfontpath, cipe, 
cleanfeed, compat-egcs, compat-egcs-c++, compat-glibc, compat-libstdc++, 
console-tools, control-center, control-center-devel, control-panel, cpio, 
cpp, cproto, cracklib, cracklib-dicts, crontabs, ctags, cvs, cxhextris, 
cyrus-sasl, db1, db1-devel, db2, db2-devel, db3, db3-devel, db3-utils, 
desktop-backgrounds, dev, dev86, dhcp, dhcpcd, dia, dialog, diffstat, 
diffutils, dip, docbook, dosfstools, doxygen, dump, dump-static, 
e2fsprogs, ed, ee, efax, eject, elm, emacs, emacs-X11, emacs-nox, 
enlightenment, enscript, esound, esound-devel, exmh, expect, ext2ed, 
extace, fbset, fetchmail, fetchmailconf, file, filesystem, fileutils, 
findutils, finger, finger-server, firewall-config, flex, fnlib, fortune-
mod, freeciv, freetype, freetype-utils, fribidi-gtkbeta, fribidi-gtkbeta-
devel, ftp, ftpcopy, fvwm2, fvwm2-icons, gated, gawk, gcc, gcc-c++, gcc-
g77, gcc-java, gcc-objc, gd, gd-devel, gd-progs, gdb, gdbm, gdbm-devel, 
gdk-pixbuf, gdk-pixbuf-devel, gdm, gedit, gettext, getty_ps, gftp, 
ghostscript, ghostscript-fonts, giftrans, gimp, gimp-data-extras, gimp-
devel, gimp-perl, gkermit, glade, glib, glib-devel, glib-gtkbeta, glib-
gtkbeta-devel, glib10, glibc, glibc-devel, glibc-profile, glms, gmc, gmp, 
gmp-devel, gnome-applets, gnome-audio, gnome-audio-extra, gnome-core, 
gnome-core-devel, gnome-games, gnome-games-devel, gnome-kerberos, gnome-
libs, gnome-libs-devel, gnome-linuxconf, gnome-lokkit, gnome-media, gnome-
objc, gnome-objc-devel, gnome-pim, gnome-pim-devel, gnome-print, gnome-
print-devel, gnome-users-guide, gnome-utils, gnorpm, gnotepad+, gnuchess, 
gnumeric, gnupg, gnuplot, gperf, gphoto, gpm, gpm-devel, gqview, grep, 
groff, groff-gxditview, groff-perl, gsl, gtk+, gtk+-devel, gtk+-gtkbeta, 
gtk+-gtkbeta-devel, gtk+10, gtk-engines, gtop, guile, guile-devel, gv, 
gzip, hdparm, ical, im, imap, imap-devel, imlib, imlib-cfgeditor, imlib-
devel, indent, indexhtml, inews, info, initscripts, inn, inn-devel, 
ipchains, iproute, iptables, iputils, ipxutils, ircii, irda-utils, 
isapnptools, isdn-config, isdn4k-utils, isicom, jadetex, jed, jed-common, 
jed-xjed, jikes, joe, joystick, kaffe, kapm, kbdconfig, kdeadmin, kdebase, 
kdebase-3d-screensavers, kdebase-lowcolor-icons, kdegames, kdegraphics, 
kdelibs, kdelibs-devel, kdemultimedia, kdenetwork, kdesupport, kdesupport-
devel, kdetoys, kdeutils, kdevelop, kdoc, kdpms, kernel, kernel-headers, 
kernel-pcmcia-cs, kernel-utils, kernelcfg, kgcc, korganizer, kpackage, 
kpilot, kpppload, krb5-devel, krb5-libs, krbafs, krbafs-utils, kudzu, 
kudzu-devel, lam, less, libPropList, libgcj, libgcj-devel, libghttp, 
libghttp-devel, libglade, libglade-devel, libgtop, libgtop-devel, libgtop-
examples, libjpeg, libjpeg-devel, libjpeg6a, libodbc++, libodbc++-devel, 
libodbc++-qt, libpcap, libpng, libpng-devel, librep, librep-devel, 
libstdc++, libstdc++-devel, libtermcap, libtermcap-devel, libtiff, libtiff-
devel, libtool, libtool-libs, libungif, libungif-devel, libungif-progs, 
libunicode, libxml, libxml-devel, libxml10, licq, lilo, links, linuxconf, 
linuxconf-devel, lm_sensors, lm_sensors-devel, locale_config, lockdev, 
lockdev-devel, logrotate, losetup, lout, lout-doc, lrzsz, lsof, ltrace, 
lynx, m4, magicdev, mailcap, mailx, make, man, man-pages, mc, memprof, 
metamail, mgetty, mgetty-sendfax, mgetty-viewfax, mgetty-voice, mikmod, 
mingetty, minicom, mkbootdisk, mkinitrd, mkisofs, mktemp, mkxauth, 
mod_dav, mod_perl, mod_php, mod_ssl, modemtool, modutils, mount, 
mouseconfig, mpage, mpg123, mtools, mtr, mtr-gtk, multimedia, mutt, mysql, 
mysql-devel, mysql-server, nasm-doc, nasm-rdoff, nc, ncftp, ncompress, 
ncurses, ncurses-devel, ncurses4, net-tools, netcfg, netpbm, netpbm-devel, 
netpbm-progs, netscape-common, netscape-communicator, netscape-navigator, 
newt, newt-devel, nfs-utils, njamd, nmh, ntp, ntsysv, openjade, openldap, 
openldap-clients, openldap-devel, openldap-servers, openssh, openssh-
askpass, openssh-askpass-gnome, openssh-clients, openssh-server, openssl, 
openssl-devel, openssl-perl, openssl-python, pam, pango-gtkbeta, pango-
gtkbeta-devel, parted, parted-devel, passwd, patch, pciutils, pciutils-
devel, pdksh, perl, php, php-imap, php-ldap, php-manual, php-mysql, php-
pgsql, pidentd, pilot-link, pilot-link-devel, pine, playmidi, playmidi-
X11, plugger, pmake, pmake-customs, pnm2ppa, popt, portmap, postgresql, 
postgresql-devel, postgresql-jdbc, postgresql-odbc, postgresql-perl, 
postgresql-python, postgresql-server, postgresql-tcl, postgresql-tk, ppp, 
printtool, procinfo, procmail, procps, procps-X11, psacct, psgml, psmisc, 
pspell, pspell-devel, pump, pump-devel, pvm, pvm-gui, pwdb, pygnome, 
pygnome-applet, pygnome-capplet, pygnome-libglade, pygtk, pygtk-libglade, 
python, python-devel, python-docs, python-tools, python-xmlrpc, pythonlib, 
qt, qt-Xt, qt-devel, qt1x, qt1x-GL, qt1x-devel, quota, raidtools, rarpd, 
rcs, rdate, readline, readline-devel, readline2.2.1, redhat-logos, redhat-
release, rep-gtk, rep-gtk-gnome, rep-gtk-libglade, rgrep, rhcfile, rhcfile-
devel, rhclib, rhclib-devel, rhmask, rhn_register, rhn_register-gnome, rhs-
printfilters, rmt, rootfiles, routed, rp-pppoe, rp3, rpm, rpm-build, rpm-
devel, rpm-python, rpm2html, rpmfind, rsh, rsh-server, rsync, rusers, 
rusers-server, rwall, rwall-server, rwho, rxvt, samba, samba-client, samba-
common, sane, sane-devel, sash, sawfish, sawfish-themer, screen, sed, 
sendmail, sendmail-cf, sendmail-doc, setserial, setup, setuptool, sgml-
common, sgml-tools, sh-utils, shadow-utils, shapecfg, sharutils, slang, 
slang-devel, slocate, 
slrn,                                                                      
                                                                           
                                                                           
                                                                           
                                                                           
The system reboots after this 
message.
Comment 1 Michael Fulbright 2001-01-09 16:26:06 EST
Are you doing a hard drive install from the same partition as you are installing to?
Comment 2 Michael Fulbright 2001-02-08 12:56:06 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.